Subject: Re: [BUG] e1000: possible deadlock scenario caught by lockdep

From: Steven Rostedt <[email-masked]>
Date: Fri, 18 Nov 2011 20:47:16 -0500

On Fri, 2011-11-18 at 15:17 -0800, Jesse Brandeburg wrote:

> this is a proposed patch to fix the issue:
> if it works for you please let me know and I will submit it officially
> through our process

Well, the one time I tested it, it didn't crash and it didn't give a
lockdep splat either. I'll add it and reboot it a few more times and
I'll holler if something bad happens.

Tested-by: Steven Rostedt <[email-masked]>

-- Steve